summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/pycipher/pycipher-0.2-r1.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/pycipher/pycipher-0.2-r1.ebuild b/dev-python/pycipher/pycipher-0.2-r1.ebuild
new file mode 100644
index 00000000000..40d801dc280
--- /dev/null
+++ b/dev-python/pycipher/pycipher-0.2-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit python-r1
+
+DESCRIPTION="A Python module that implements several well-known classical cipher algorithms"
+HOMEPAGE="http://pycipher.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.py"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+src_unpack() {
+ mkdir "${S}" || die
+ cp "${DISTDIR}/${A}" "${S}/${PN}.py" || die
+}
+
+src_install() {
+ python_foreach_impl python_domodule ${PN}.py
+}